/////////////////////////////////////////////////////////////////////////////////////
// CIPnPTCEnvSim01.h
// Interface definition for the environment simulation object
// implemented by the main application
// ----------------------------------------------------------------------------------
// author:		Ralf Westphal
// creation:	13. Mai. 2004
// ----------------------------------------------------------------------------------
// change history:
// ----------------------------------------------------------------------------------
// copyright notice:
//   Copyright (C) 2004-2008 Westphal Data Solution (Ralf Westphal), Germany
//   All Rights Reserved.
//   homepage: www.pnp-terraincreator.com
//   email:    rwe@pnp-terraincreator.com
//
//   This file is part of the PnP TerrainCreator product and
//   may only be used to create PlugIns for PnP TerrainCreator.
/////////////////////////////////////////////////////////////////////////////////////

#if !defined(PNPTC_CIENVSIM_H_INCLUDED)
#define PNPTC_CIENVSIM_H_INCLUDED

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000



/// @brief Callback accessor class for environment simulation.
/// 
/// The environment simulation is implemented within the main
/// application. You can use this interface to get access to
/// environmental data (not yet implemented) or to inform the
/// environment simulation of events and state changes of your
/// PlugIn.
class PNPTCPLUGIN_CALLBACK CIPnPTCEnvSim01
{
public:

	/// @brief Notify ending sound playback.
	///
	/// Callback method for the sound PlugIn to notify
	/// the main application of the ending of a 3d sound
	/// instance playback.
	/// @param iInstance Instance ID of the 3d sound that 
	/// ended playback.
	virtual void	SoundEnded(unsigned int iInstance)=0;
	
}; // class




#endif // !defined(PNPTC_CIENVSIM_H_INCLUDED)