/////////////////////////////////////////////////////////////////////////////////////
// CIPnPTCLightMap.h
// Interface definition of a sector light map object.
// ----------------------------------------------------------------------------------
// author:		Ralf Westphal
// creation:	23. Aug. 2005
// ----------------------------------------------------------------------------------
// change history:
// ----------------------------------------------------------------------------------
// copyright notice:
//   Copyright (C) 2004-2008 Westphal Data Solution (Ralf Westphal), Germany
//   All Rights Reserved.
//   homepage: www.pnp-terraincreator.com
//   email:    rwe@pnp-terraincreator.com
//
//   This file is part of the PnP TerrainCreator product and
//   may only be used to create PlugIns for PnP TerrainCreator.
/////////////////////////////////////////////////////////////////////////////////////

#if !defined(PNPTC_CILIGHTMAP_H_INCLUDED)
#define PNPTC_CILIGHTMAP_H_INCLUDED

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// include base definition of PnP-TC PlugIn interface
#include "ipnptcplugin.h"

// includes
#include "cipnptclightmapdefinition.h"
#include "cipnptctexturemap.h"


#pragma pack(push)
#pragma pack(1)



/// @brief Sector light map class.
///
/// This class is the light map including the textures
/// of one sector.
class PNPTCPLUGIN_CALLBACK CIPnPTCLightMap01 : public CIPnPTCTextureMap01
{
public:

	/// @brief Returns the definition object of this light map.
	///
	/// Returns the definition object of this light map.
	/// @return Pointer to the light map's definition object if
	/// successfully or <i>NULL</i> in case of an error.
	virtual CIPnPTCLightMapDefinition01*	GetLightMapDefinition()=0;

}; // class

#pragma pack(pop)


#endif // !defined(PNPTC_CILIGHTMAP_H_INCLUDED)

