/////////////////////////////////////////////////////////////////////////////////////
// OgreUtils.cpp
// various utility methods to support common plugin functionality working with Ogre.
// ----------------------------------------------------------------------------------
// author:		Ralf Westphal
// ----------------------------------------------------------------------------------
// creation:	25. Aug. 2007
// ----------------------------------------------------------------------------------
// change history:
//
// ----------------------------------------------------------------------------------
// copyright notice:
//   Copyright (C) 2004-2009 Westphal Data Solution (Ralf Westphal), Germany
//   All Rights Reserved.
//   homepage: www.pnp-terraincreator.com
//   email:    rwe@pnp-terraincreator.com
//
//   This file is part of the PnP TerrainCreator product and
//   may only be used to create PlugIns for PnP TerrainCreator.
/////////////////////////////////////////////////////////////////////////////////////

#include "./OgreUtils.h"
#include "../PnPTCUtils/Utils.h"




std::string OgreUtils::ValidateOgreEntityName(const std::string& strName,bool bToLower/*=true*/)
{
	// replaces all characters, which are not allowed
	std::string strReturn=strName;
	Replace(&strReturn,"\\","/");
	ReplaceForbiddenCharacters(&strReturn,"/._1234567890abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ","_");

	// convert to lower case
	if (bToLower)
	{
		ToLower(strReturn);
	}

	// return result
	return strReturn;
}
