/////////////////////////////////////////////////////////////////////////////////////
// OgreUtils.h
// various utility methods to support common plugin functionality working with Ogre.
// ----------------------------------------------------------------------------------
// author:		Ralf Westphal
// ----------------------------------------------------------------------------------
// creation:	25. Aug. 2007
// ----------------------------------------------------------------------------------
// change history:
//
// ----------------------------------------------------------------------------------
// copyright notice:
//   Copyright (C) 2004-2009 Westphal Data Solution (Ralf Westphal), Germany
//   All Rights Reserved.
//   homepage: www.pnp-terraincreator.com
//   email:    rwe@pnp-terraincreator.com
//
//   This file is part of the PnP TerrainCreator product and
//   may only be used to create PlugIns for PnP TerrainCreator.
/////////////////////////////////////////////////////////////////////////////////////

#if !defined(PNPTC_OGREUTILS_H_INCLUDED)
#define PNPTC_OGREUTILS_H_INCLUDED

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// includes
#include <string>



/// Utility class with static methods for
/// working with Ogre.
class OgreUtils
{
public:

	/// Makes sure that the name of an entity is conform to ogre naming restrictions.
	/// @param strName The name which has to be checked/modified.
	/// @param bToLower Whether or not the name should be converted to lower cases.
	/// @return Returns the converted string, which is conform with all 
	/// ogre naming conventions.
	static std::string	ValidateOgreEntityName(const std::string& strName,bool bToLower=true);

};	// class OgreUtils



#endif	// !defined(PNPTC_OGREUTILS_H_INCLUDED)
