/////////////////////////////////////////////////////////////////////////////////////
// DXStudioFileFormatDlg.h
// *.dxmesh file format specification dialog.
// ----------------------------------------------------------------------------------
// author:		miko, based on pnpTC demos
// ----------------------------------------------------------------------------------
// change history:
//   xx. aaa. 2009 : miko 
// ----------------------------------------------------------------------------------
// copyright notice:
/////////////////////////////////////////////////////////////////////////////////////

#pragma once
#include "afxwin.h"
#include "../PnPTCUtils/Controls/NumericEdit.h"


// CDXStudioFileFormatDlg dialog

class DXStudioFileFormatDlg : public CDialog
{
	DECLARE_DYNAMIC(DXStudioFileFormatDlg)

public:
	DXStudioFileFormatDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~DXStudioFileFormatDlg();

	/// list of all available light map names
	std::vector<std::string>	m_vecLightMapNames;

protected:

	/// Enable controls which depend on the texture export setting.
	void	EnableTextureControls();

	/// Enable controls which depend on the vertex reduction setting.
	void	EnableReductionControls();

	/// Fills the combo box with the available reduction methods.
	void	FillReductionMethodCombo();

	/// Fills the texturemap size combo.
	void	FillTextureMapSizeCombo();


// Dialog Data
	enum { IDD = IDD_DXSTUDIOFILE_FORMAT_DLG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	int m_iMaxPatchSize;
	bool m_bCenterPatches;
	int m_iPatchSize;
	int m_iTextureExport;
	int m_iTextureFormat;
	int m_iUpAxis;
	bool m_bGlobalPositioning;
	float m_fScaleFactor;
	bool m_bDeleteTextures;
	bool m_bHeightAdaption;
	bool m_bSimplifyBorder;
	int m_iTextureMapSize;
	int m_iGridSize;
	float m_fErrorValue;
	int m_iReductionMethod;
	CString m_strLightMap;
	CComboBox m_combPatchSize;
	CComboBox m_combTextureExport;
	CComboBox m_combTextureFormat;
	CComboBox m_combLightMap;
	CNumericEdit m_txtFactor;
	CComboBox m_combUpAxis;
	CButton m_chkGlobalPositioning;
	CButton m_chkDeleteTextures;
	CButton m_chkHeightAdaption;
	CButton m_chkSimplifyBorder;
	CButton m_chkCenterPatches;
	CComboBox m_combTextureMapSize;
	CComboBox m_combReductionMethod;
	CComboBox m_combGridSize;
	CNumericEdit m_txtErrorValue;
	virtual BOOL OnInitDialog();
	afx_msg void OnCbnSelchangeComboTextureexport();
	afx_msg void OnCbnSelchangeComboReductionmethod();
	afx_msg void OnCbnSelchangeComboPatchsize();
protected:
	virtual void OnOK();
public:
	afx_msg void OnBnClickedChkGlobalpositioning();
	afx_msg void OnBnClickedChkCenterpatches();
	CStatic m_ctrlDeleteTexturesText;
};
