#ifndef IDXCOLOR_H
#define IDXCOLOR_H

namespace DX
{
	typedef unsigned char byte;

	/**
		Structure defining colors used in materials.
	*/
	struct DXColor
	{
		/** Value between 0 and 255 which is the alpha component of the color */
		byte a; 
		/** Value between 0 and 255 which is the red component of the color */
		byte r;
		/** Value between 0 and 255 which is the green component of the color */
		byte g;
		/** Value between 0 and 255 which is the blue component of the color */
		byte b;
	};

	/**
		Create a color from 4 bytes - a, r, g and b.
	*/
	DXMESHEXPORT DXColor CreateColor(byte a, byte r, byte g, byte b);
	/**
		Create a color using 4 floats, a, r, g and b.
	*/
	DXMESHEXPORT DXColor CreateColorF( float a, float r, float g, float b );
	/**
		Create a color using 4 bytes packed into an unsigned int in the order ARGB
	*/
	DXMESHEXPORT DXColor CreateColor( unsigned int color );
}

#endif