#ifndef DXVECTOR_H
#define DXVECTOR_H

namespace DX
{
	struct DXVector
	{
		float x, y, z;	
	};

	struct DXRotation
	{
		float x, y, z, w;
	};	

	struct DXUV
	{
		float u, v;
	};

	struct DXMatrix
	{
		float m00, m01, m02, m03,
			  m10, m11, m12, m13,
			  m20, m21, m22, m23,
			  m30, m31, m32, m33;
	};

	DXMESHEXPORT DXVector CreateVector(float x, float y, float z);
	DXMESHEXPORT DXUV CreateUV(float u, float v);
	DXMESHEXPORT DXRotation CreateRotation(float x, float y, float z, float w);
	DXMESHEXPORT DXMatrix CreateMatrix(float m00, float m01, float m02, float m03,
															float m10, float m11, float m12, float m13,
															float m20, float m21, float m22, float m23,
															float m30, float m31, float m32, float m33);
	DXMESHEXPORT DXMatrix CreateMatrix(float m[16]);
	DXMESHEXPORT DXMatrix CreateMatrix( );
}

#endif 