#ifndef IDXANIMATIONKEY_H
#define IDXANIMATIONKEY_H

namespace DX
{
	/**
		IDXAnimationKey is the base class for IDXTranslationKey, IDXRotationKey
		and IDXScaleKey. It contains the time functionality.
	*/
	struct  IDXAnimationKey : public IDXUserData, public IDXGroupAnimOwned
	{
		virtual DXMCALL ~IDXAnimationKey( ) = 0;
		/**
			Get the time that this key appears at.
		*/
		virtual float DXMCALL GetTime( ) const = 0;
		/**
			Set the time that this key appears at. This will resort the 
			respective keyset in the IDXGroupAnim
			@param time A new time, which should be > 0.
			@return Error_InvalidParam if time was negative.\n
					Error_Success if time was updated.
		*/
		virtual DXError DXMCALL SetTime( float time ) = 0;
	};
}

#endif