#ifndef IDXROTATIONKEY_H
#define IDXROTATIONKEY_H

namespace DX
{
	/**
		Represents a rotation at a specified time.
	*/
	struct  IDXRotationKey : public IDXAnimationKey
	{
		virtual DXMCALL  ~IDXRotationKey( ) = 0;
		/**
			Get the rotation of this key.
			@return A DXRotation which is the rotation value.
		*/
		virtual const DXRotation& DXMCALL GetRotation( ) const = 0;
		/**
			Set the rotation value.
			@param rotation The rotation to use on this key.
		*/
		virtual void DXMCALL SetRotation( const DXRotation& rotation ) = 0;
	};
}

#endif