#ifndef IDXSCALEKEY_H
#define IDXSCALEKEY_H

namespace DX
{
	/**
		Represents a scale at a specified time.
	*/
	struct  IDXScaleKey : public IDXAnimationKey
	{
		virtual DXMCALL ~IDXScaleKey( ) = 0;
		/**
			Get the scale of this key.
			@return A DXVector which is the scale value.
		*/
		virtual const DXVector& DXMCALL GetScale( ) const = 0;
		/**
			Set the scale value.
			@param scale The scale to use on this key.
		*/
		virtual void DXMCALL SetScale( const DXVector& scale ) = 0;
	};
}

#endif