#ifndef IDXSKINVERT_H
#define IDXSKINVERT_H

namespace DX
{
	/**
		Vertex indices and weighting used by IDXSkinEnties.
	*/
	struct IDXSkinVert : public IDXUserData, public IDXSkinEntryOwned
	{
		virtual DXMCALL ~IDXSkinVert( ) = 0;
		/**
			Get the current index of the skin vert.
		*/
		virtual uint DXMCALL GetIndex( ) const = 0;
		/**
			Get the current weight of the skin vert.
		*/
		virtual float DXMCALL GetWeight( ) const = 0;
		/**
			Set the index for this skin vert.
			@param index The new index.
			@return Always returns Error_Success at the minute.
		*/
		virtual DXError DXMCALL SetIndex( uint index ) = 0;
		/**
			Set the weight for this skin vert.
			@param weight The new index.
		*/
		virtual void DXMCALL SetWeight( float weight ) = 0;
	};
}

#endif