#ifndef IDXTAG_H
#define IDXTAG_H

namespace DX
{
	/**
		IDXTag is used by the online library to help index dxmesh files.
	*/
	struct  IDXTag : public IDXModelOwned, public IDXModelInfoOwned, public IDXUserData
	{
		virtual					DXMCALL ~IDXTag() = 0;
		/**
			Get the text of this tag.
			@return wchar_t* representing the text.
		*/
		virtual const wchar_t*	DXMCALL GetText() const = 0;
		/**
			Set the text of this tag.
			@param text The new value to set the text to.
			@return Error_NullParam if text was null.\n
					Error_Success if the text was changed.
		*/
		virtual DXError			DXMCALL SetText( const wchar_t* text ) = 0;
	};
}

#endif