#ifndef IDXTRANSLATIONKEY_H
#define IDXTRANSLATIONKEY_H

namespace DX
{
	/**
		Represents a translation at a specified time.
	*/
	struct  IDXTranslationKey : public IDXAnimationKey
	{
		virtual DXMCALL ~IDXTranslationKey( ) = 0;
		/**
			Get the translation of this key.
			@return A DXVector which is the translation value.
		*/
		virtual const DXVector& DXMCALL GetTranslation( ) const = 0;
		/**
			Set the translation value.
			@param translation The translation to use on this key.
		*/
		virtual void DXMCALL SetTranslation( const DXVector& translation ) = 0;
	};
}

#endif