#ifndef IDXUSERDATA_H
#define IDXUSERDATA_H

namespace DX
{
	/**
		All interface (bar invalidation) implement this interface which allows
		you to store a void* to data which is associated with something.
	*/	
	struct  IDXUserData
	{
		virtual			DXMCALL ~IDXUserData() = 0;
		/**
			Get the current user data.
			@return The void* which is associated with the object.
		*/
		virtual void*	DXMCALL GetUserData() const = 0;
		/**
			Set the current user data.
			@param userData The new userdata for this item.
		*/
		virtual void	DXMCALL SetUserData(void* userData) = 0;
	};
}

#endif